#-------------------------------------------------
#
# Project created by QtCreator 2016-02-04T11:45:08
#
#-------------------------------------------------

QT       += core network

QT       -= gui

TARGET = CPPrfeReaderInterface
CONFIG   += console
CONFIG   -= app_bundle

TEMPLATE = app

DEFINES += WINDOWS


SOURCES += main.cpp \
    rfe/CPPrfeReaderInterface.cpp \
    rfe/device/IProtocolDeviceInterface.cpp \
    rfe/helper/StringHelper.cpp \
    rfe/helper/Array.cpp \
    rfe/protocol/CPPrfeMessageQueue.cpp \
    rfe/protocol/CPPrfeProtocolConstants.cpp \
    rfe/protocol/CPPrfeProtocolHandler.cpp \
    rfe/protocol/CPPrfePURprotocolHandler.cpp \
    rfe/protocol/CPPrfeTagEvent.cpp \
    rfe/trace/ITraceInterface.cpp \
    impl/ConsoleTrace.cpp \
    impl/QrfeFifo.cpp \
    impl/QtDevice.cpp \
    impl/Mutex.cpp \
    impl/Sleeper.cpp \
    impl/Timer.cpp \
    TestProgram.cpp

HEADERS += \
    rfe/types.h \
    rfe/CPPrfeReaderInterface.h \
    rfe/device/IProtocolDeviceInterface.h \
    rfe/helper/Mutex.h \
    rfe/helper/Sleeper.h \
    rfe/helper/StringHelper.h \
    rfe/helper/Array.h \
    rfe/protocol/CPPrfeMessageQueue.h \
    rfe/protocol/CPPrfeProtocolConstants.h \
    rfe/protocol/CPPrfeProtocolHandler.h \
    rfe/protocol/CPPrfePURprotocolHandler.h \
    rfe/protocol/CPPrfeTagEvent.h \
    rfe/trace/ITraceInterface.h \
    impl/ConsoleTrace.h \
    impl/QrfeFifo.h \
    impl/QtDevice.h \
    impl/Timer.h \
    TestProgram.h

FORMS +=
